/*
 *  Copyright (C) 2001 Ricardo Fernndez Pascual
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <glib.h>
#include <gtk/gtkwidget.h>

/** the avaible dnd hint popups */
typedef enum {
	HINT_ARROW_UP,
	HINT_ARROW_DOWN,
	HINT_ARROW_LEFT,
	HINT_ARROW_RIGHT
} DndHintWindowId;

/** ways to position a hint wrt a widget */
typedef enum {
	HINT_POSITION_RIGHT,
	HINT_POSITION_LEFT,
	HINT_POSITION_TOP,
	HINT_POSITION_BOTTOM,
	HINT_POSITION_CENTER
} DndHintPosition;

void dnd_hints_show (DndHintWindowId i, gint x, gint y);
void dnd_hints_hide (DndHintWindowId i);
void dnd_hints_hide_all (void);
void dnd_hints_show_relative (DndHintWindowId i, GtkWidget *w, 
			      DndHintPosition horizontal,
			      DndHintPosition vertical);

