/*
 *  Copyright (C) 2002 Jorn Baayen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
	JS_CONSOLE_ERROR   = 1,
	JS_CONSOLE_WARNING = 2,
	JS_CONSOLE_MESSAGE = 3
} JSConsoleMessageType;

/* js_console.c */
void js_console_init (void);
void js_console_exit (void);
void js_console_show (GaleonEmbed *embed);
void js_console_append (const gchar *text, JSConsoleMessageType type, guint column);

#ifdef __cplusplus
}
#endif
