/*
 *  Copyright (C) 2000 Marco Pesenti Gritti
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* recently-loaded sessions data */
extern GList *recent_sessions;
extern gint num_recent_sessions;

void session_autosave (void);
gboolean session_autoresume (void);
void session_save (void);
void session_add_window (GaleonWindow *window);
void session_remove_window (GaleonWindow *window);
void session_quit (gboolean auto_save);
void session_save_to (const gchar *filename);
gboolean session_load_from (const gchar *filename, gboolean lenient);
void session_history_load (void);
void session_history_save (void);
void session_history_add (const gchar *filename);
void session_history_remove (const gchar *filename);
gboolean session_open_confirmation (void);
void session_server_start_timeout (void);
void session_server_stop_timeout (void);
